<?php
function packageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'holidaypackage'); 
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('luzuk_them_package_npp_count',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2:
        case 4: 
        case 8: 
        case 10:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 3:
        case 5:
        case 6: 
        case 7: 
        case 9: 
        case 11:
        case 12:  
        $colCls = 'col-md-12 col-sm-12';
        break;
        default: 
        $colCls = 'col-md-12 col-sm-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_them_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
            if ($isCustomizer === true) {
                $url = get_theme_mod('luzuk_them_package_page_url_'.$i, '#');
                $luzuk_them_package_designation = get_theme_mod('luzuk_them_package_designation' . $i);
                
                $luzuk_them_package_pricetxt = get_theme_mod('luzuk_them_package_pricetxt' . $i);
            }
            $post = get_post();

            $designation = get_post_meta($post->ID, 'designation', false);
            $luzuk_them_package_designation = !empty($designation[0]) ? $designation[0] : '';

            $pricetxt = get_post_meta($post->ID, 'pricetxt', false);
            $luzuk_them_package_pricetxt = !empty($pricetxt[0]) ? $pricetxt[0] : '';

            ?>
            <div class="<?php echo $colCls; ?> holiday-box padding5">
                <div class="holiday-package-box wow slideInLeft">
                    <div class="package-prof">
                        <div class="col-md-8 col-sm-8 col-xs-12">
                            <h3 class="title"><?php the_title(); ?></h3>
                        </div>
                        <div class="col-md-4 durationlbl col-sm-4 col-xs-12">
                            <ul>
                                <?php if($luzuk_them_package_designation || $luzuk_them_package_designation){ ?>
                                    <li>
                                        <?php echo ($luzuk_them_package_designation); ?>
                                        </li>  <?php }?>
                                        <?php if($luzuk_them_package_pricetxt || $luzuk_them_package_pricetxt){ ?>  <li><?php echo ($luzuk_them_package_pricetxt); ?></li> <?php }?>
                                    </ul>
                                </div>

                                <div class="clearfix"></div>
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <p class="desc"><?php 
                                    if(has_excerpt()){
                                        echo get_the_excerpt();
                                    }else{
                                        echo luzuk_them_excerpt( get_the_content() , 130 );
                                    }
                                    ?></p>
                                </div> 
                                <div class="clearfix"></div>
                                <?php if( get_theme_mod('packages_button_display','show' ) == 'show') :
                                    ?>
                                    <div class="packages-button padding0"> 
                                        <?php
                                        $viewprojectbutton1 = get_theme_mod('luzuk_them_viewprojectbutton1', 'Read More');
                                        ?>

                                        <a href="<?php echo esc_url(get_permalink()); ?>" class="btn btn-lg red"> 
                                            <?php echo $viewprojectbutton1; ?>
                                        </a>   

                                    </div>
                                <?php endif ?>

                                <div class="clearfix"></div>    
                            </div>
                        </div>
                        <!-- for innerpage --> 
                        <div class="innerpagePackageBox">
                            <div class="col-md-3 col-sm-3">
                               <?php
                               if (has_post_thumbnail()) {
                                $image_url = $luzuk_them_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/project.jpg';
                            }
                            ?>                                                          
                            <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        </div>
                        <div class="col-md-9 innerpagepackage-box col-sm-9">
                            <div class="service-icon">
                                <h3 class="title"><?php the_title(); ?></h3>
                            </div>
                            <p class="description">
                                <?php echo wp_trim_words(get_the_content(), 65); ?>
                            </p>
                            <ul>
                                <?php if($luzuk_them_package_designation || $luzuk_them_package_designation){ ?>
                                    <li>
                                        <?php echo ($luzuk_them_package_designation); ?>
                                        </li>  <?php }?>
                                        <?php if($luzuk_them_package_pricetxt || $luzuk_them_package_pricetxt){ ?>  <li><?php echo ($luzuk_them_package_pricetxt); ?></li> <?php }?>
                                    </ul>
                                    <?php
                                    $innerpackagepagehbtn = get_theme_mod('luzuk_them_innerpackagepagehbtn_txt', 'Read More'); 
                                    ?>
                                    <a href="<?php echo esc_url(get_permalink()); ?>" class="btn btn-lg red"> 
                                     <?php echo ($innerpackagepagehbtn );  ?>
                                 </a> 
                                 <div class="clearfix"></div>  
                             </div>   
                             <div class="clearfix"></div>  
                         </div>

                         <!-- for innerpage -->

                     </div>
                     <div class="clearfix"></div>   
                     <?php
                 endwhile;
                 $text = ob_get_contents();
                 ob_clean();
             endif;
             wp_reset_postdata();
             return $text;
         }

/*services*/
function ctroomsShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();
    $args = array('post_type' => 'our-rooms');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('luzuk_them_ct_rooms_npp_count',3);  
    //$luzuk_them_ct_service_icon1 = get_theme_mod('luzuk_them_ct_service_icon1'.$i);
    ++$cols;
    switch ($cols) {
      case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12'; 
        break;
        case 2:
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
        case 4:
        case 7:
        case 8:
        case 10:
        case 11:
        case 12:
        $colCls = 'col-md-3 col-sm-6 col-xs-12';
        break;
        default:
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
    }
    $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');  
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_them_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();
            ?>
            <!--  <div class="row"> -->
              <div class="<?php echo $colCls; ?> timeline">
                
                    <div class="our-homepage-services">

                        <div class="services-front">
                            <figcaption></figcaption>
                            <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_them_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/project.jpg';
                            }
                            ?>                                                          
                            <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />

                            <h3> <?php the_title(); ?></h3>
                            
                            <?php
                            $homepageservicesbutton = get_theme_mod('luzuk_them_homepageservices_txt', 'READ MORE'); 
                            ?>
                            <?php if( get_theme_mod('homepageservices_button_display','show' ) == 'show') :
                                ?>  
                                <a href="<?php the_permalink(); ?>" class="site-button"><?php echo ($homepageservicesbutton );  ?> <i class="fa fa-caret-right" aria-hidden="true"></i></a>
                            <?php endif ?>
                        </div>


                    </div>
                    <div class="clearfix"></div>
                
                <!-- For Services Innerpage -->
                <div class="timeline-content">
                    <div class="timeline-icon">
                       <?php
                       if (has_post_thumbnail()) {
                        $image_url = $luzuk_them_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/project.jpg';
                    }
                    ?>                                                          
                    <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                </div>
                <div class="inner-content">
                    <h2 class="title"><?php the_title(); ?></h2>
                    <p class="description">
                       <?php 
                       if(has_excerpt()){
                        echo get_the_excerpt();
                    }else{
                        echo luzuk_them_excerpt( get_the_content() , 320 );
                    }
                    ?>
                </p>
                <?php if( get_theme_mod('innerpageservices_button_display','show' ) == 'show') :
                    ?>  
                    <?php  
                    $innerpageservicesbutton = get_theme_mod('luzuk_them_innerpageservicesbutton_txt', 'Read More'); 
                    ?>
                    <a href="<?php the_permalink(); ?>" class="sitebutton"><?php echo ($innerpageservicesbutton );  ?> <i class="fa fa-long-arrow-right"></i></a>
                <?php endif ?>
            </div>
        </div> 
        

        <!-- For Services Innerpage -->

    </div>

    <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}


add_shortcode('OURROOMS', 'ctroomsShortCode'); ##



