<?php
/**
 * Template Name: Contact Page
 *
 * @package Luzuk Premium
 */
get_header(); 
?>
<header class="page-main-header">
    <div>
        <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
        <?php
        //print_r ($post);
            if (!empty($image)){
                echo '<img src="'.$image.'" class="ht-page-header-img" />';
            }
        ?>
        <!-- <img src="<?php //echo !empty($image)?$image : get_template_directory_uri().'/images/innerpage.jpg';?>" class="ht-page-header-img" alt="<?php //the_title();?>" /> -->
    </div>
    <div class="container">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
</header><!-- .entry-header --> 

<?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
        ?>
        <div class="breadcrumbbox">
            <div class="container">
                <div class='button'><?php luzuk_them_lite_the_breadcrumb(); ?></div>
                <!--  <?php //luzuk_them_lite_the_breadcrumb(); ?> -->
            </div>
        </div>

    <?php endif ?> 

<main id="innerpage-box">


	<div class="container">
		<?php
		
		// $luzuk_them_contactus_title = get_theme_mod('luzuk_them_contactus_title');
		$luzuk_them_contactus_sub_title = get_theme_mod('luzuk_them_contactus_sub_title');
		?>
		<?php /*if($luzuk_them_contactus_title){ ?>
		<div class="ht-section-title-tagline">
			<?php if($luzuk_them_contactus_title){ ?>
			<h2 class="ht-section-title"><?php echo esc_html($luzuk_them_contactus_title); ?></h2>
			<?php } ?>
		</div>
	<?php }*/ ?>
	<div class="ht-contactus-wrap innerpage-whitebox">
		<?php 
		$luzuk_them_contactus_addrress = get_theme_mod('luzuk_them_contactus_addrress', 'Address');
		$luzuk_them_contactus_emailid = get_theme_mod('luzuk_them_contactus_emailid', 'Email');
		$luzuk_them_contactus_phhone = get_theme_mod('luzuk_them_contactus_phhone', 'Phone');
		$luzuk_them_contactus_socialtitle = get_theme_mod('luzuk_them_contactus_socialtitle', 'Follow us on');
$address = get_theme_mod('luzuk_them_contactus_address', 'Add Contact Address here..');
$addressdata1 = get_theme_mod('luzuk_them_contactus_addressdata1', '');
$addressdata2 = get_theme_mod('luzuk_them_contactus_addressdata2', '');



		$email = get_theme_mod('luzuk_them_contactus_email', 'contact@example.com');
		$phone = get_theme_mod('luzuk_them_contactus_phone1', 'Mobile: +1 999 999 9999');
		$phone2 = get_theme_mod('luzuk_them_contactus_phone2', 'Hotline: +1 999 999 9999');
		$shortcodeLbl = get_theme_mod('luzuk_them_contactus_shortcode_lbl', 'Contact Now');
		$shortcode = get_theme_mod('luzuk_them_contactus_shortcode', 'Add your shortcode through customizer');
		
		$iframe = get_theme_mod('luzuk_them_contactus_embade', 'Add your Embed code in customizer');

		$facebook = get_theme_mod('luzuk_them_contactus_facebook', '//facebook.com/');
		$twitter = get_theme_mod('luzuk_them_contactus_twitter', '//twitter.com/');
		$instagram = get_theme_mod('luzuk_them_contactus_instagram', 'https://www.instagram.com/');
		$linkedIn = get_theme_mod('luzuk_them_contactus_linkedin', '//linkedin.com/');
		?>
		<div id="ht-contactus-wrap">
			<div class="row">
				<div class="col-md-6">
					<div class="contact-page-address">
						<div class="row address-box">
							
							<?php if($luzuk_them_contactus_addrress){ ?>
								<div class="padding0 ht-section-tagline lz-appointment-addresss"><span class="fa fa-map-marker"></span> <?php echo ($luzuk_them_contactus_addrress);  ?> :
								</div>
								<?php } ?>							
							<p><?php echo nl2br($address); ?></p>
							<p><?php echo nl2br($addressdata1); ?></p>
							<p><?php echo nl2br($addressdata2); ?></p>
							<div class="clearfix"></div>	
						</div>
						<div class="contact-border"></div>

						<div class="row address-box">							
								<?php if($luzuk_them_contactus_emailid){ ?>
									<div class="padding0 ht-section-tagline lz-appointment-email"><span class="fa fa-envelope"></span> <?php echo ($luzuk_them_contactus_emailid);  ?> :</div>
								<?php } ?>							
							  <a href="mailto:<?php echo $email;?>"><?php echo $email;?></a>
							<div class="clearfix"></div>	
						</div>
						<div class="contact-border"></div>

						<div class="row address-box">							
								<?php if($luzuk_them_contactus_phhone){ ?>
									<div class="padding0 ht-section-tagline lz-appointment-phhone"><span class="fa fa-phone"></span> <?php echo ($luzuk_them_contactus_phhone);  ?> :</div>
								<?php } ?>							
							  <p><?php echo $phone;?> </p>
							  <p><?php echo $phone2;?> </p>
							<div class="clearfix"></div>	
						</div>
						<div class="contact-border"></div>

						<div class="col-md-12">
							
							<h2><?php if($luzuk_them_contactus_socialtitle){ ?>
								<?php echo ($luzuk_them_contactus_socialtitle);  ?> :
							</h2>
							<?php } ?>
							<ul class="contact-sm-links">
								<?php if(!empty($facebook)){ ?>
									<li><a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><span class="fa fa-facebook"></span></a></li>
								<?php }?>
								<?php if(!empty($twitter)){ ?>
									<li><a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><span class="fa fa-twitter"></span></a></li>
								<?php }?>
								<?php if(!empty($instagram)){ ?>
									<li><a href="<?php echo $instagram ?>" title="Instagram"target="_blank"><span class="fa fa-instagram"></span></a></li>
								<?php }?>
								<?php if(!empty($linkedIn)){ ?>
									<li><a href="<?php echo $linkedIn ?>" title="Linked In" target="_blank"><span class="fa fa-linkedin"></span></a></li>
								<?php }?>
							</ul>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>

				<div class="col-md-6">
					<div class="contact-page-form">
						<h1 class="ht-section-title text-center"><?php echo $shortcodeLbl;?></h1> 
						<p><?php echo do_shortcode($shortcode);?></p>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>

		

	</div>	
</div>
<div class="contact-mapbox">
			<!-- <iframe width="100%" height="350" frameborder="0" style="border:0" src="" allowfullscreen></iframe> -->
			<?php echo $iframe; ?>
		</div>
</main>
<?php get_footer(); ?>